package cn.iocoder.yudao.module.mqtt.api.path.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PositionMapLinePathDTO {

    @Schema(description = "楼层", example = "20863")
    private Integer floor;

    @Schema(description = "区域", example = "20863")
    private String area;

    @Schema(description = "功能(0:新增、1:删除、2：更新)", example = "20863")
    private Integer type = 0;

    private List<PositionMapLineDTO> control_nodes;

    private List<Long> ids;
}
