package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
public class RemoteTaskTransferDTO implements Serializable {

    @Schema(description = "任务ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26224")
    private Long id;

    @Schema(description = "远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode = 0;

    @Schema(description = "远遥IP---前端不用传")
    private String remoteIp;
}
