package cn.iocoder.yudao.module.system.api.robot;

import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "作业实时行为上报")
public interface RobotWorkStatusApi {
    String PREFIX = ApiConstants.PREFIX + "/task";

    @PostMapping(PREFIX + "/robotWorkStatus")
    @Operation(summary = "作业实时行为上报")
    void robotWorkStatus(@RequestParam("message") String message);
}
