package cn.iocoder.yudao.module.system.controller.admin.robot.mapstop;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "管理后台 - 车辆(地图)急停记录新增/修改 Request VO")
@Data
public class RobotMapStopSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1220")
    private Long id;

    @Schema(description = "急停仓库点位地图表id", example = "20550")
    private Long positionMapId;

    @Schema(description = "急停的AGV编号")
    private String robotNo;

    @Schema(description = "类型（0：地图、1：车辆）", example = "2")
    private Integer stopType;

}