package cn.iocoder.yudao.module.mqtt.api.path.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PathToRobotChangeXYArgMovePoseDTO {
    /**
     * 开始控制点x轴
     */
    private Double actualBeginControlX;
    /**
     * 开始控制点y轴
     */
    private Double actualBeginControlY;

    /**
     * 结束控制点x轴
     */
    private Double actualEndControlX;
    /**
     * 结束控制点y轴
     */
    private Double actualEndControlY;

    private String id;

    private Integer isEndPose;
    private Integer isOldPose;
    private Boolean isStraightEdge;
    private String poseId;
    private Double speed;
    private Double x;
    private Double y;
    private Double yaw;
}
