package cn.iododer.yudao.module.mqtt.service;

import cn.iocoder.yudao.module.system.api.robot.RobotPathStatusApi;
import cn.iocoder.yudao.module.system.api.robot.RobotStatusApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class RobotPathStatusServiceImpl implements MqttService{

    @Resource
    private RobotPathStatusApi robotPathStatusApi;

    @Override
    public void analysisMessage(String message) {
        log.info("导航实时行为上报 :{}", message);
        robotPathStatusApi.robotPathStatus(message);
    }
}
