package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@Data
public class LoginCheckDTO {
    @Schema(description = "通讯地址")
    @NotEmpty(message = "通讯地址不能为空")
    @Size(max = 20, message = "通讯地址长度不符合要求")
    private String systemIp;

    @Schema(description = "通讯端口")
    @NotEmpty(message = "端口不能为空")
    @Size(max = 10, message = "端口长度不符合要求")
    private String systemPort;

    @Schema(description = "远遥IP")
    private String remoteIp;
}
