package cn.iocoder.yudao.module.system.api.robot.websocket;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class WsWareHouseLocationDTO {

    @Schema(description = "实际坐标x轴")
    private String actualLocationX;

    @Schema(description = "实际坐标y轴")
    private String actualLocationY;

    @Schema(description = "类型: 1：添加，  0:减少")
    private Integer type = 1;

    @Schema(description = "所在楼")
    public String floor;

    @Schema(description = "所在区")
    public String area;
}
