package cn.iocoder.yudao.module.system.enums.robot;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * robot_information表的机器人任务的状态
 */
@Getter
@AllArgsConstructor
public enum RobotStatusEnum {
    LAST_TASK_IS_TAKE(1,"上一个任务是仅取货(这是一个过渡状态,数据库没有这种状态)"),
    DOING(2,"任务中"),
    STAND_BY(3,"待命"),
    CHARGE(4,"充电中");
    /**
     * 类型
     */
    private final Integer type;
    private final String msg;
}
